Bug 1691819 - libibmtss does not link to openssl although it depends on it
Summary: libibmtss does not link to openssl although it depends on it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tss2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry Snitselaar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1715606
TreeView+ depends on / blocked
 
Reported: 2019-03-22 15:06 UTC by Nikos Mavrogiannopoulos
Modified: 2019-07-16 03:21 UTC (History)
3 users (show)

Fixed In Version: tss2-1234-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1715606 (view as bug list)
Environment:
Last Closed: 2019-07-16 03:21:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2019-03-22 15:06:36 UTC
Description of problem:
The library libibmtss does not link to openssl libraries although no applications can be compiled without it. Example:

```
ld -libmtss

ld: warning: cannot find entry symbol _start; not setting start address
ld: //usr/lib64/libibmtss.so: undefined reference to `BN_hex2bn'
ld: //usr/lib64/libibmtss.so: undefined reference to `BN_value_one'
ld: //usr/lib64/libibmtss.so: undefined reference to `EVP_MD_CTX_free'
ld: //usr/lib64/libibmtss.so: undefined reference to `RSA_public_encrypt'
ld: //usr/lib64/libibmtss.so: undefined reference to `EC_POINT_point2bn'
ld: //usr/lib64/libibmtss.so: undefined reference to `EC_GROUP_free'
ld: //usr/lib64/libibmtss.so: undefined reference to `EC_KEY_check_key'
...
```

Applications using it should not be required to figure the dependencies during linking time. I believe the options are (a) provide a package config file (.pc), or (b) link the library against libcrypto of openssl.


The easiest is to uncomment  the "#LNLLIBS += -lcrypto" line in makefile.fedora.

Comment 1 Fedora Update System 2019-05-30 19:34:37 UTC
FEDORA-2019-ae6c7cb103 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae6c7cb103

Comment 2 Fedora Update System 2019-05-31 03:00:27 UTC
tss2-1234-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae6c7cb103

Comment 3 Fedora Update System 2019-07-16 03:21:53 UTC
tss2-1234-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.